Friendica Documentation and Resources
=====================================

**User Manual**

* General functions - first steps
	* [Account Basics](help/Account-Basics)
	* [New User Quick Start](help/Quick-Start-guide)
	* [Creating posts](help/Text_editor)
	* [BBCode tag reference](help/BBCode)
	* [Comment, sort and delete posts](help/Text_comment)
	* [Accesskey reference](help/Accesskeys)
	* [Events](help/events)
* You and other users
	* [Connectors](help/Connectors)
	* [Making Friends](help/Making-Friends)
	* [Groups and Privacy](help/Groups-and-Privacy)
	* [Tags and Mentions](help/Tags-and-Mentions)
	* [Community Forums](help/Forums)
	* [Chats](help/Chats)
* Further information
	* [Move your account](help/Move-Account)
	* [Export / Import of followed Contacts](help/Export-Import-Contacts)
	* [Delete your account](help/Remove-Account)
	* [Frequently asked questions (FAQ)](help/FAQ)

**Admin Manual**

* [Install](help/Install)
* [Update](help/Update)
* [Settings & Admin Panel](help/Settings)
* [Installing Connectors (Twitter/GNU Social)](help/Installing-Connectors)
* [Install an ejabberd server (XMPP chat) with synchronized credentials](help/install-ejabberd)
* [Using SSL with Friendica](help/SSL)
* [Config values that can only be set in config/local.config.php](help/Config)
* [Improve Performance](help/Improve-Performance)
* [Migrate](help/Migrate)
* [Administration Tools](help/tools)
* [Admin FAQ](help/FAQ-admin)

**Developer Manual**

* [Get started](help/Developers-Intro)
* Set up development environment
	* [Help on Github](help/Github)
	* [Help on Vagrant](help/Vagrant)
	* [Bugs and Issues](help/Bugs-and-Issues)
* Code structure
    * [Domain-Driven-Design](help/Developer-Domain-Driven-Design)
	* [Addon Development](help/Addons)
	* [Theme Development](help/themes)
	* [Smarty 3 Templates](help/smarty3-templates)
	* [Storage backend addon](help/AddonStorageBackend)
* How To
	* [Translate Friendica](help/translations)
	* [Use Composer](help/Composer)
	* [Move classes to `src`](help/Developer-How-To-Move-Classes-to-src)
	* [Run tests](help/Tests)
* Reference
	* [API endpoints](help/api)
	* [Code (Doxygen generated - sets cookies)](doc/html/)
	* [Protocol Documentation](help/Protocol)
	* [Database schema documentation](help/database)
	* [Class Autoloading](help/autoloader)

**External Resources**

* [Main Website](https://friendi.ca)
* Ways to get Support
  * Friendica Support Forum: [@helpers@forum.friendi.ca](https://forum.friendi.ca/~helpers)
  * [Mailing List Archive](http://mailman.friendi.ca/mailman/listinfo/support-friendi.ca) you can subscribe to the list by sending an email to ``support-request(at)friendi.ca?subject=subscribe``
  * Community chat rooms (the IRC, Matrix and XMPP rooms are bridget) these public chats are logged [from IRC](https://gnusociarg.nsupdate.info/2021/%23friendica/) and [Matrix](https://view.matrix.org/alias/%23friendi.ca:matrix.org/)
    * XMPP/Jabber MUC: support(at)forum.friendi.ca
    * IRC: #friendica at [libera.chat](https://web.libera.chat/?channels=#friendica)
    * Matrix: [#friendi.ca](https://matrix.to/#/#friendi.ca:matrix.org) or [#friendica-en](https://matrix.to/#/#friendica-en:matrix.org) at matrix.org

**About**

* [Site/Version Info](friendica)
* [Friendica Credits](credits)
